%define version 4.1.1
%define release 1
%define name    nagios-plugins-lm_sensors
%define _naglib		/usr/lib/nagios
%define _plugindir	%{_naglib}/plugins/
%define _pname  check_lm_sensors

Summary:   A Nagios plugin to monitor sensors values
Name:      %{name}
Version:   %{version}
Release:   1.2
License:   GPL
Packager:  Matteo Corti <matteo.corti@id.ethz.ch>
Group:     Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source:    http://www.id.ethz.ch/people/allid_list/corti/%{_pname}-%{version}.tar.gz
BuildArch: noarch

Requires: hddtemp
Requires: perl
Requires: perl-Nagios-Plugin
Provides: %{_pname}

%description
check_lm_sensors is a Nagios plugin to monitor the values of on board sensors and hard
disk temperatures on Linux systems

%prep
%setup -q -n %{_pname}-%{version}

%build
sed -i s@#\!perl@#\!/usr/bin/perl@ check_lm_sensors
chmod -x AUTHORS Changes NEWS README INSTALL TODO COPYING VERSION

%install
%__install -D -m 0755 %{_pname} %{buildroot}%{_plugindir}/%{_pname}
%__install -d -m 0755 %{buildroot}%{_mandir}/man3
pod2man %{_pname}.pod > %{buildroot}%{_mandir}/man3/%{_pname}.3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS Changes NEWS README INSTALL TODO COPYING VERSION
%attr(0755, root, root) %{_plugindir}/%{_pname}
%attr(0655, root, root) %{_mandir}/man3/%{_pname}.3*
%dir %{_naglib}
%dir %{_plugindir}

%changelog
* Wed Jan 27 2016 cs@linux-administrator.com
- update to release 4.1.1
